LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDDELink Interface Referencepublished

provides methods to change the settings of a DDE link. More...

`import"XDDELink.idl";`

Inheritance diagram for XDDELink:

## Public Member Functions
string | getApplication ()
| returns the application from which data are requested (the DDE server application). More...
string | getTopic ()
| returns the DDE topic from which data are requested. More...
string | getItem ()
| returns the DDE item from which data are requested. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides methods to change the settings of a DDE link.

Deprecated:

See also
  com::sun::star::sheet::DDELink

## Member Function Documentation

## ◆ getApplication()

string getApplication | ( |  | ) |

returns the application from which data are requested (the DDE server application).

## ◆ getItem()

string getItem | ( |  | ) |

returns the DDE item from which data are requested.

## ◆ getTopic()

string getTopic | ( |  | ) |

returns the DDE topic from which data are requested.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XDDELink.idl